<div class="header-section">
    <h3>New Email</h3>
    <button mat-icon-button (click)="onEmailCreateClose()">
        <mat-icon>close</mat-icon>
    </button>
</div>
<div class="body-section">
    <div class="body-section__email-info">
        <div class="inputs">
            <mat-form-field appearance="outline">
                <mat-label>Recipients</mat-label>
                <mat-chip-list #chipList>
                    <mat-chip *ngFor="let email of emails" [selectable]="selectable" [removable]="removable"
                        (removed)="remove(email)">
                        {{email}}
                        <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                    </mat-chip>
                    <input matInput placeholder="Recipients" [matChipInputFor]="chipList"
                        [matChipInputSeparatorKeyCodes]="separatorKeysCodes" [matChipInputAddOnBlur]="addOnBlur"
                        (matChipInputTokenEnd)="add($event)">
                    <mat-icon class="delete-all" matSuffix *ngIf="emails && emails.length > 0" (click)="deleteAll()">
                        delete</mat-icon>
                </mat-chip-list>
            </mat-form-field>

            <mat-form-field appearance="outline">
                <mat-label>Subject</mat-label>
                <input matInput placeholder="Subject" [(ngModel)]="subject">
            </mat-form-field>
        </div>
        <div class="profile">
            <img src="https://st.depositphotos.com/1779253/5140/v/600/depositphotos_51405259-stock-illustration-male-avatar-profile-picture-use.jpg"
                alt="profile">
            <span class="mt-1"><strong>{{userEmail}}</strong></span>
        </div>
    </div>
    <div class="body-section__message-area">
        <editor [apiKey]="'xoj07briqozn0bnez3vp6sdk0sl0is2ymzpsuimpjn9o7ini'" [(ngModel)]="emailValue" [init]="{
            menubar: false,
            toolbar_location: 'bottom',
            automatic_uploads: false,
            file_picker_types: 'file image media',
            format: 'text',
            plugins: [
              'advlist autolink lists link image charmap print preview anchor',
              'searchreplace visualblocks code fullscreen',
              'insertdatetime media table paste code help wordcount'
            ],
            toolbar:
              'undo redo | formatselect | bold italic backcolor | \
              alignleft aligncenter alignright alignjustify | \
              bullist numlist outdent indent | removeformat | help'
          }"></editor>
    </div>
    <div class="actions">
        <button mat-raised-button color="warn" (click)="sendEmail()">Send mail</button>
    </div>
</div>